import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.AfterEach;
class CalculatriceTest {
    private Calculatrice calculatrice;
    @BeforeEach
	void avantTest() {
    	calculatrice = new Calculatrice();
    	System.out.println("Initialisation de la calculatrice");
	}
	@Test
	void testAddition() {
    	int resultat = calculatrice.addition(2, 3);

        if(resultat != 5){
            System.out.println("FAUX ! L'addition de 2 et 3 devrait donner 5");
        }else {
            System.out.println("VRAI! L'addition de 2 et 3 devrait donner 5");
        }
	}
    @AfterEach
	void apresTest() {
    	System.out.println("Le test est terminé ! ");
	}
}